function addVisualElements() {
	var i = 0, el, els = document.getElementsByTagName("fieldset");
	// iterates each input element
	while (el = els[i++]) {
		if (el.childNodes[0].childNodes[0].nodeValue == 'Collaborative editor') {
			var fieldSetEl = el;
		}
	}
	var saveMessageEl = document.createElement("DIV");
	fieldSetEl.appendChild(saveMessageEl);
	saveMessageEl.setAttribute("id","autosave");
	saveMessageEl.innerHTML = "Doc not saved yet";
	saveMessageEl.style.fontWeight = 'normal';
	saveMessageEl.style.fontStyle = 'Trebutchet MS';
  saveMessageEl.style.color = '#888888';
  saveMessageEl.style.fontSize = '0.9em';
  
  var helpMessageEl = document.createElement("DIV");
  fieldSetEl.appendChild(helpMessageEl);
	helpMessageEl.innerHTML = "Click on submit button to save the document manually";
	helpMessageEl.style.fontWeight = 'normal';
	helpMessageEl.style.fontStyle = 'Trebutchet MS';
  helpMessageEl.style.fontSize = '0.8em';
  
  var listHeaderEl = document.createElement("DIV");
  fieldSetEl.appendChild(listHeaderEl);
  listHeaderEl.innerHTML = "Users:";
  listHeaderEl.style.fontStyle = 'Trebutchet MS';
  listHeaderEl.style.paddingTop = '10px';
  
  var userListEl = document.createElement("DIV");
  fieldSetEl.appendChild(userListEl);
  userListEl.setAttribute("id","userlist");
}


function showLastUpdate(isCollision, exitDocument) {
	setTimeout(function () {
		if (isCollision != 1 && !exitDocument) {
			var autoSaveEl = document.getElementById("autosave");
			var dateObj = new Date();
			autoSaveEl.innerHTML = "Last saved at " + dateObj.toLocaleTimeString();
			autoSaveEl.style.fontWeight = 'normal';
			autoSaveEl.style.color = '#888888';
		}	
	}, 2000);
}


function showUserList(userList) {
	var userListInitEl = document.getElementById("userlist");
	var userListEl = document.createElement("DIV");
	userListEl.setAttribute("id","userlist");
	userListInitEl.parentNode.replaceChild(userListEl,userListInitEl);
	var newUserListEl = document.getElementById("userlist");
	for (var i = 0; i < userList.length; i++) {
		var newUserEl = document.createElement("LI");
		newUserListEl.appendChild(newUserEl);
		newUserListEl.style.fontWeight = 'normal';
		newUserListEl.style.fontStyle = 'Trebutchet MS';
		newUserListEl.style.color = 'red';
		newUserListEl.style.listStyle = 'none';
  	newUserEl.innerHTML = userList[i] + "<span style='color: #888;'> is editing...</span>";
  }
}


function showSaveMessage() {
	var autoSaveEl = document.getElementById("autosave");
	autoSaveEl.innerHTML = "AutoSaving...";
  autoSaveEl.style.color = '#639ACE';
	autoSaveEl.style.fontWeight = 'bold';
}